RYOSCONTROL(1)

NAME
ryoscontrol - Ein Hilfsprogramm um die erweiterten Funktionen der Roccat Ryos zu nutzen.

SYNTAX
ryoscontrol [ -fhuv ] [ -a ] [ -d ] [ -l NUMMER ] [ -r DATEINAME ] [ -s NUMMER ] [ -w DATEINAME ] [ --activate-profile=NUMMER ] [ --actual-profile ] [ --default-profile=NUMMER ] [ --help ] [ --load=NUMMER ] [ --read-firmware ] [ --read-rkp=DATEINAME ] [ --reset ] [ --save=NUMMER ] [ --update=FILENAME ] [ --version ] [ --write-rkp=DATEINAME ]

BESCHREIBUNG
Diese Konsolenanwendung ermöglicht es die erweiterten Funktionen der Roccat Ryos zu nutzen.

OPTIONEN

-h, --help
    Zeige die Hilfeliste.

-a, --activate-profile=NUMMER
    Aktiviert das angegebene Profil. Das aktive Profil ist permanent, d.h. ist zugleich das Startup-Profil der Ryos.

--actual-profile
    Gibt die Nummer des aktiven Profils aus.

-d, --default-profile=NUMMER
    Setzt das Standardprofil das aktiviert wird wenn keine gamefile Einstellung aktiv ist. Ein Wert von 0 schaltet diese Funktion aus.

-f, --read-firmware
    Gibt die Firmwareversion der Ryos aus.

-l, --load=NUMMER
    Lädt das Profil aus der Ryos, sowie das dazugehörige hinterlegte Profil. Sollten diese sich unterscheiden wird eine Warnung ausgegeben und das Tastaturprofil weiterverwendet.

-r, --read-rkp=DATEINAME
    Lies eine rkp-Datei in den Speicher.

--reset
    Setzt das Gerät auf Standardeinstellungen zurück.

-s, --save=NUMMER
    Speichert das Profil aus dem Speicher in der Tastatur und im hinterlegten Profil.

-u, --update=DATEINAME
    Aktualisiert die Gerätefirmware mit der angegebenen Datei. Im Fehlerfall kann das Update wiederholt werden.

-v, --version
    Zeige die Programmversion.

-w, --write-rkp=DATEINAME
    Schreibe das im Speicher enthaltene Profil als rkp-Datei.

BEISPIELE

ryoscontrol -r profile.rkp -s 1
    Liest das Profil aus der Datei profile.rkp und speichert das Ergebnis als Profil Nummer 1 in der Tastatur, sowie im hinterlegten Profil.

AUTOR
Stefan Achatz <erazor_de@users.sourceforge.net>